ONVIF::Device::Elements::SetRelayOutputState(3pm)

NAME
ONVIF::Device::Elements::SetRelayOutputState

DESCRIPTION
Perl data type class for the XML Schema defined element SetRelayOutputState from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RelayOutputToken

     $element->set_RelayOutputToken($data);
     $element->get_RelayOutputToken();

•   LogicalState

     $element->set_LogicalState($data);
     $element->get_LogicalState();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetRelayOutputState->new($data);

Constructor. The following data structure may be passed to new():

 {
   RelayOutputToken => $some_value, # ReferenceToken
   LogicalState => $some_value, # RelayLogicalState
 },

AUTHOR
Generated by SOAP::WSDL